Class | Compass::SpriteImporter
In: | lib/compass/sprite_importer.rb
Parent: | Sass::Importers::Base

### Methods

content_for_images eql? files find find_all_sprite_map_files find_relative hash key mtime path path_and_name sass_engine sass_options sprite_name sprite_names to_s

### Constants

VAILD_FILE_NAME | = | /\A#{Sass::SCSS::RX::IDENT}\Z/
SPRITE_IMPORTER_REGEX | = | %r{((.+/)?([^\*.]+))/(.+?)\.png}
VALID_EXTENSIONS | = | ['.png']
TEMPLATE_FOLDER | = | File.join(File.expand_path('../', __FILE__), 'sprite_importer')
CONTENT_TEMPLATE_FILE | = | File.join(TEMPLATE_FOLDER, 'content.erb')
CONTENT_TEMPLATE | = | ERB.new(File.read(CONTENT_TEMPLATE_FILE))

### Public Class methods

content_for_images(uri, name, skip_overrides = false)

Generates the Sass for this sprite file

files(uri)

Returns the Glob of image files for the uri

find_all_sprite_map_files(path)

finds all sprite files

path(uri)

The on-disk location of this sprite

path_and_name(uri)
sass_engine(uri, name, importer, options)

Returns a Sass::Engine for this sprite object

sass_options(uri, importer, options)

Returns the sass_options for this sprite

sprite_name(uri)

Name of this spite

sprite_names(uri)

Returns an Array of image names without the file extension

### Public Instance methods

eql?(other)
find(uri, options)
find_relative(uri, base, options)
hash()
key(uri, options={})
mtime(uri, options)
to_s()

[Validate]